public static interface JGroupsRaftEndpointBuilderFactory.JGroupsRaftBuilders
| Modifier and Type | Method and Description |
|---|---|
default JGroupsRaftEndpointBuilderFactory.JGroupsRaftEndpointBuilder |
jgroupsRaft(String path)
JGroups raft (camel-jgroups-raft)
Exchange messages with JGroups-raft clusters.
|
default JGroupsRaftEndpointBuilderFactory.JGroupsRaftEndpointBuilder |
jgroupsRaft(String componentName,
String path)
JGroups raft (camel-jgroups-raft)
Exchange messages with JGroups-raft clusters.
|
default JGroupsRaftEndpointBuilderFactory.JGroupsRaftEndpointBuilder jgroupsRaft(String path)
jgroups-raft:clusterName
Path parameter: clusterName (required)
The name of the JGroupsraft cluster the component should connect to.path - clusterNamedefault JGroupsRaftEndpointBuilderFactory.JGroupsRaftEndpointBuilder jgroupsRaft(String componentName, String path)
jgroups-raft:clusterName
Path parameter: clusterName (required)
The name of the JGroupsraft cluster the component should connect to.componentName - to use a custom component name for the endpoint
instead of the default namepath - clusterNameApache Camel